### R code from vignette source 'LncDM.Rnw'

###################################################
### code chunk number 1: LncDM.Rnw:45-46
###################################################
library(LncDM)


###################################################
### code chunk number 2: LncDM.Rnw:57-64
###################################################
##the directory of 450k methylation data
Dir <- system.file("extdata/localdata/Level_2",package="LncDM")
setwd(Dir)
files <- list.files(Dir)
files
this.sample <- read.table(files[1],sep="\t",header=F);
head(this.sample)


###################################################
### code chunk number 3: LncDM.Rnw:71-79
###################################################
##the directory of phenotype file
Dir <- system.file("extdata/localdata",package="LncDM")
setwd(Dir)
##phenotype file
files <- list.files(Dir)
files
pheno <- read.table(files[1],sep="\t",header=T);
head(pheno)


###################################################
### code chunk number 4: LncDM.Rnw:86-91
###################################################
##the directory of phenotype and 450k methylation's sample data
Dir <- system.file("extdata/localdata",package="LncDM")
setwd(Dir)
##name of phenotype file
groupfile <- "BRCA_pheno.txt"


###################################################
### code chunk number 5: LncDM.Rnw:150-154
###################################################
dir <- system.file("extdata/localdata",package="LncDM")
##load the result of loaddata()
load(paste(dir,"/loadData.Rdata",sep=""))
Region <- regionLevel(data=loadData,indexmethod = "mean",classes="lincRNA")


###################################################
### code chunk number 6: LncDM.Rnw:179-185
###################################################
dir.create(paste(Dir,"/dms",sep=""))
setwd(paste(Dir,"/dms",sep=""))
dms <- dms(data=loadData,contin="OFF",classes="lincRNA",testmethod = "t.test", Padj = "fdr",
gcase = "case", gcontrol = "control", paired = FALSE,rawpcut = 0.05, adjustpcut = 0.05, 
betadiffcut = 0.3,XY=c(FALSE,"X","Y"),tlog=FALSE,num=1)
head(dms)


###################################################
### code chunk number 7: LncDM.Rnw:213-218
###################################################
dir.create(paste(Dir,"/dme",sep=""))
setwd(paste(Dir,"/dme",sep=""))
dme <- dme(data=Region,classes="lincRNA",contin="OFF",testmethod = "t.test", Padj = "fdr",
gcase = "case", gcontrol = "control", paired = FALSE,rawpcut = 0.05, adjustpcut = 0.05,
betadiffcut = 0.3,num=1)


###################################################
### code chunk number 8: LncDM.Rnw:239-244
###################################################
dir.create(paste(Dir,"/dmr",sep=""))
setwd(paste(Dir,"/dmr",sep=""))
dmr <- dmr(data=loadData,contin="OFF",classes="lincRNA",testmethod = "t.test", Padj = "fdr",
gcase = "case", gcontrol = "control", paired = FALSE,rawpcut = 0.05, adjustpcut = 0.05,
betadiffcut = 0.3,num=1,sole=FALSE)


###################################################
### code chunk number 9: sessionInfo
###################################################
sessionInfo()


